use std::fmt::{self, Display, Formatter};

#[derive(Debug, PartialEq, Eq, Clone, Copy)]
pub enum Permission {
    FsWrite,
    FsRead,
}

impl Display for Permission {
    fn fmt(&self, f: &mut Formatter<'_>) -> fmt::Result {
        f.write_str(match self {
            Permission::FsWrite => "fs::write",
            Permission::FsRead => "fs::read",
        })
    }
}
